/* JPEGEncodeParam.java --
   Copyright (C) 2007 Free Software Foundation, Inc.

   This file is part of GNU Classpath.

   GNU Classpath is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   GNU Classpath is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with GNU Classpath; see the file COPYING.  If not, write to the
   Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301 USA.

   Linking this library statically or dynamically with other modules is
   making a combined work based on this library.  Thus, the terms and
   conditions of the GNU General Public License cover the whole
   combination.

   As a special exception, the copyright holders of this library give you
   permission to link this library with independent modules to produce an
   executable, regardless of the license terms of these independent
   modules, and to copy and distribute the resulting executable under
   terms of your choice, provided that you also meet, for each linked
   independent module, the terms and conditions of the license of that
   module.  An independent module is a module which is not derived from
   or based on this library.  If you modify this library, you may extend
   this exception to your version of the library, but you are not
   obligated to do so.  If you do not wish to do so, delete this
   exception statement from your version. */

package com.sun.image.codec.jpeg;

public interface JPEGEncodeParam
{
	public static final int COLOR_ID_UNKNOWN = 0;
	public static final int COLOR_ID_RGBA = 1;
	public static final int COLOR_ID_RGB = 2;
	public static final int COLOR_ID_GRAY = 3;
	public static final int COLOR_ID_YCbCrA = 4;
	public static final int COLOR_ID_CMYK = 5;
	public static final int COLOR_ID_YCbCr = 6;

	public void setQuality(float i, boolean b);

	public JPEGEncodeParam clone();

	public void setTableInfoValid(boolean b);

	public void setImageInfoValid(boolean b);

	public int getHorizontalSubsampling(int i);

	public int getVerticalSubsampling(int i);

	public int getWidth();

	public int getHeight();

	public int getDensityUnit();

    public int getXDensity();

    public int getYDensity();

    public int getRestartInterval();

    public JPEGQTable getQTable(int i);

	public void setDensityUnit(int i);

	public void setXDensity(int i);

	public void setYDensity(int i);

	public void setRestartInterval(int i);

	public void setQTable(int i, JPEGQTable jqt);
}
